import { LRParser } from '@lezer/lr';
import { LRLanguage, foldNodeProp, foldInside, LanguageSupport } from '@codemirror/language';
import { styleTags, tags } from '@lezer/highlight';

// This file was generated by lezer-generator. You probably shouldn't edit it.
const
  BASE = 1,
  PREFIX = 2,
  SELECT = 3,
  CONSTRUCT = 4,
  DESCRIBE = 5,
  WHERE = 6,
  DISTINCT = 7,
  REDUCED = 8,
  STR = 9,
  LANG = 10,
  LANGMATCHES = 11,
  DATATYPE = 12,
  ASK = 13,
  BOUND = 14,
  IRI = 15,
  URI = 16,
  BNODE = 17,
  RAND = 18,
  ABS = 19,
  CEIL = 20,
  FLOOR = 21,
  ROUND = 22,
  CONCAT = 23,
  STRLEN = 24,
  UCASE = 25,
  LCASE = 26,
  ENCODE_FOR_URI = 27,
  CONTAINS = 28,
  STRSTARTS = 29,
  STRENDS = 30,
  STRBEFORE = 31,
  STRAFTER = 32,
  YEAR = 33,
  MONTH = 34,
  DAY = 35,
  HOURS = 36,
  MINUTES = 37,
  SECONDS = 38,
  TIMEZONE = 39,
  TZ = 40,
  NOW = 41,
  UUID = 42,
  STRUUID = 43,
  MD5 = 44,
  SHA1 = 45,
  SHA256 = 46,
  SHA384 = 47,
  SHA512 = 48,
  COALESCE = 49,
  IF = 50,
  STRLANG = 51,
  STRDT = 52,
  SAMETERM = 53,
  ISIRI = 54,
  ISURI = 55,
  ISBLANK = 56,
  ISLITERAL = 57,
  ISNUMERIC = 58,
  COUNT = 59,
  SUM = 60,
  MIN = 61,
  MAX = 62,
  AVG = 63,
  SAMPLE = 64,
  GROUP_CONCAT = 65,
  SEPARATOR = 66,
  SUBSTR = 67,
  REPLACE = 68,
  REGEX = 69,
  EXISTS = 70,
  NOT = 71,
  IN = 72,
  GROUP = 73,
  BY = 74,
  HAVING = 75,
  ORDER = 76,
  ASC = 77,
  DESC = 78,
  LIMIT = 79,
  OFFSET = 80,
  VALUES = 81,
  UNDEF = 82,
  UNION = 83,
  OPTIONAL = 84,
  MINUS = 85,
  GRAPH = 86,
  SERVICE = 87,
  SILENT = 88,
  FILTER = 89,
  BIND = 90,
  AS = 91,
  FROM = 92,
  NAMED = 93,
  TRUE = 94,
  FALSE = 95,
  LOAD = 96,
  INTO = 97,
  TO = 98,
  CLEAR = 99,
  DROP = 100,
  CREATE = 101,
  ADD = 102,
  MOVE = 103,
  COPY = 104,
  INSERT = 105,
  DATA = 106,
  DELETE = 107,
  WITH = 108,
  DEFAULT = 109,
  ALL = 110,
  USING = 111,
  Comment = 112,
  Unit = 113,
  Query = 114,
  Prologue = 115,
  BaseDecl = 116,
  IriRef = 117,
  PrefixDecl = 118,
  Namespace = 119,
  SelectQuery = 120,
  SelectClause = 121,
  Var = 122,
  Expression = 123,
  ConditionalOrExpression = 124,
  ConditionalAndExpression = 125,
  ValueLogical = 126,
  RelationalExpression = 127,
  NumericExpression = 128,
  AdditiveExpression = 129,
  MultiplicativeExpression = 130,
  UnaryExpression = 131,
  PrimaryExpression = 132,
  BrackettedExpression = 133,
  BuiltInCall = 134,
  Aggregate = 135,
  String = 137,
  Nil = 139,
  ExpressionList = 140,
  SubstringExpression = 141,
  StrReplaceExpression = 142,
  RegexExpression = 143,
  ExistsFunc = 144,
  GroupGraphPattern = 147,
  SubSelect = 148,
  WhereClause = 149,
  SolutionModifier = 150,
  GroupClause = 151,
  GroupCondition = 152,
  FunctionCall = 153,
  Iri = 154,
  ArgList = 155,
  HavingClause = 156,
  HavingCondition = 157,
  Constraint = 158,
  OrderClause = 159,
  OrderCondition = 160,
  LimitOffsetClauses = 161,
  LimitClause = 162,
  Integer = 163,
  OffsetClause = 164,
  ValuesClause = 165,
  DataBlock = 166,
  InlineDataOneVar = 167,
  DataBlockValue = 168,
  RDFLiteral = 169,
  Langstag = 170,
  NumericLiteral = 171,
  NumericLiteralUnsigned = 172,
  Decimal = 173,
  Double = 174,
  NumericLiteralPositive = 175,
  IntegerPositive = 176,
  DecimalPositive = 177,
  DoublePositive = 178,
  NumericLiteralNegative = 179,
  IntegerNegative = 180,
  DecimalNegative = 181,
  DoubleNegative = 182,
  BooleanLiteral = 183,
  InlineDataFull = 184,
  GroupGraphPatternSub = 185,
  TriplesBlock = 186,
  TriplesSameSubjectPath = 187,
  VarOrTerm = 188,
  GraphTerm = 189,
  BlankNode = 190,
  BlankNodeLabel = 191,
  BlankNodeValue = 193,
  Anon = 194,
  PropertyListPathNotEmpty = 195,
  VerbPath = 196,
  Path = 197,
  PathAlternative = 198,
  PathSequence = 199,
  PathEltOrInverse = 200,
  PathElt = 201,
  PathPrimary = 202,
  PathNegatedPropertySet = 203,
  PathOneInPropertySet = 204,
  PathMod = 205,
  VerbSimple = 206,
  ObjectListPath = 207,
  ObjectPath = 208,
  GraphNodePath = 209,
  TriplesNodePath = 210,
  CollectionPath = 211,
  BlankNodePropertyListPath = 212,
  ObjectList = 213,
  Object$1 = 214,
  GraphNode = 215,
  TriplesNode = 216,
  Collection = 217,
  BlankNodePropertyList = 218,
  PropertyListNotEmpty = 219,
  Verb = 220,
  VarOrIri = 221,
  PropertyListPath = 222,
  GraphPatternNotTriples = 224,
  GroupOrUnionGraphPattern = 225,
  OptionalGraphPattern = 226,
  MinusGraphPattern = 227,
  GraphGraphPattern = 228,
  ServiceGraphPattern = 229,
  Filter = 230,
  Bind = 231,
  InlineData = 232,
  NotExistsFunc = 233,
  DatasetClause = 234,
  DefaultGraphClause = 235,
  SourceSelector = 236,
  NamedGraphClause = 237,
  ConstructQuery = 238,
  ConstructTemplate = 239,
  ConstructTriples = 240,
  TriplesSameSubject = 241,
  PropertyList = 242,
  TriplesTemplate = 243,
  DescribeQuery = 244,
  AskQuery = 245,
  Update = 246,
  Update1 = 247,
  Load = 248,
  GraphRef = 249,
  Clear = 250,
  GraphRefAll = 251,
  Drop = 252,
  Add = 253,
  GraphOrDefault = 254,
  Move = 255,
  Copy = 256,
  Create = 257,
  InsertData = 258,
  QuadData = 259,
  Quads = 260,
  QuadsNotTriples = 261,
  DeleteData = 262,
  DeleteWhere = 263,
  QuadPattern = 264,
  Modify = 265,
  DeleteClause = 266,
  InsertClause = 267,
  UsingClause = 268,
  Keyword = 269;

var tokens = /*#__PURE__*/Object.freeze({
  __proto__: null,
  BASE: BASE,
  PREFIX: PREFIX,
  SELECT: SELECT,
  CONSTRUCT: CONSTRUCT,
  DESCRIBE: DESCRIBE,
  WHERE: WHERE,
  DISTINCT: DISTINCT,
  REDUCED: REDUCED,
  STR: STR,
  LANG: LANG,
  LANGMATCHES: LANGMATCHES,
  DATATYPE: DATATYPE,
  ASK: ASK,
  BOUND: BOUND,
  IRI: IRI,
  URI: URI,
  BNODE: BNODE,
  RAND: RAND,
  ABS: ABS,
  CEIL: CEIL,
  FLOOR: FLOOR,
  ROUND: ROUND,
  CONCAT: CONCAT,
  STRLEN: STRLEN,
  UCASE: UCASE,
  LCASE: LCASE,
  ENCODE_FOR_URI: ENCODE_FOR_URI,
  CONTAINS: CONTAINS,
  STRSTARTS: STRSTARTS,
  STRENDS: STRENDS,
  STRBEFORE: STRBEFORE,
  STRAFTER: STRAFTER,
  YEAR: YEAR,
  MONTH: MONTH,
  DAY: DAY,
  HOURS: HOURS,
  MINUTES: MINUTES,
  SECONDS: SECONDS,
  TIMEZONE: TIMEZONE,
  TZ: TZ,
  NOW: NOW,
  UUID: UUID,
  STRUUID: STRUUID,
  MD5: MD5,
  SHA1: SHA1,
  SHA256: SHA256,
  SHA384: SHA384,
  SHA512: SHA512,
  COALESCE: COALESCE,
  IF: IF,
  STRLANG: STRLANG,
  STRDT: STRDT,
  SAMETERM: SAMETERM,
  ISIRI: ISIRI,
  ISURI: ISURI,
  ISBLANK: ISBLANK,
  ISLITERAL: ISLITERAL,
  ISNUMERIC: ISNUMERIC,
  COUNT: COUNT,
  SUM: SUM,
  MIN: MIN,
  MAX: MAX,
  AVG: AVG,
  SAMPLE: SAMPLE,
  GROUP_CONCAT: GROUP_CONCAT,
  SEPARATOR: SEPARATOR,
  SUBSTR: SUBSTR,
  REPLACE: REPLACE,
  REGEX: REGEX,
  EXISTS: EXISTS,
  NOT: NOT,
  IN: IN,
  GROUP: GROUP,
  BY: BY,
  HAVING: HAVING,
  ORDER: ORDER,
  ASC: ASC,
  DESC: DESC,
  LIMIT: LIMIT,
  OFFSET: OFFSET,
  VALUES: VALUES,
  UNDEF: UNDEF,
  UNION: UNION,
  OPTIONAL: OPTIONAL,
  MINUS: MINUS,
  GRAPH: GRAPH,
  SERVICE: SERVICE,
  SILENT: SILENT,
  FILTER: FILTER,
  BIND: BIND,
  AS: AS,
  FROM: FROM,
  NAMED: NAMED,
  TRUE: TRUE,
  FALSE: FALSE,
  LOAD: LOAD,
  INTO: INTO,
  TO: TO,
  CLEAR: CLEAR,
  DROP: DROP,
  CREATE: CREATE,
  ADD: ADD,
  MOVE: MOVE,
  COPY: COPY,
  INSERT: INSERT,
  DATA: DATA,
  DELETE: DELETE,
  WITH: WITH,
  DEFAULT: DEFAULT,
  ALL: ALL,
  USING: USING,
  Comment: Comment,
  Unit: Unit,
  Query: Query,
  Prologue: Prologue,
  BaseDecl: BaseDecl,
  IriRef: IriRef,
  PrefixDecl: PrefixDecl,
  Namespace: Namespace,
  SelectQuery: SelectQuery,
  SelectClause: SelectClause,
  Var: Var,
  Expression: Expression,
  ConditionalOrExpression: ConditionalOrExpression,
  ConditionalAndExpression: ConditionalAndExpression,
  ValueLogical: ValueLogical,
  RelationalExpression: RelationalExpression,
  NumericExpression: NumericExpression,
  AdditiveExpression: AdditiveExpression,
  MultiplicativeExpression: MultiplicativeExpression,
  UnaryExpression: UnaryExpression,
  PrimaryExpression: PrimaryExpression,
  BrackettedExpression: BrackettedExpression,
  BuiltInCall: BuiltInCall,
  Aggregate: Aggregate,
  String: String,
  Nil: Nil,
  ExpressionList: ExpressionList,
  SubstringExpression: SubstringExpression,
  StrReplaceExpression: StrReplaceExpression,
  RegexExpression: RegexExpression,
  ExistsFunc: ExistsFunc,
  GroupGraphPattern: GroupGraphPattern,
  SubSelect: SubSelect,
  WhereClause: WhereClause,
  SolutionModifier: SolutionModifier,
  GroupClause: GroupClause,
  GroupCondition: GroupCondition,
  FunctionCall: FunctionCall,
  Iri: Iri,
  ArgList: ArgList,
  HavingClause: HavingClause,
  HavingCondition: HavingCondition,
  Constraint: Constraint,
  OrderClause: OrderClause,
  OrderCondition: OrderCondition,
  LimitOffsetClauses: LimitOffsetClauses,
  LimitClause: LimitClause,
  Integer: Integer,
  OffsetClause: OffsetClause,
  ValuesClause: ValuesClause,
  DataBlock: DataBlock,
  InlineDataOneVar: InlineDataOneVar,
  DataBlockValue: DataBlockValue,
  RDFLiteral: RDFLiteral,
  Langstag: Langstag,
  NumericLiteral: NumericLiteral,
  NumericLiteralUnsigned: NumericLiteralUnsigned,
  Decimal: Decimal,
  Double: Double,
  NumericLiteralPositive: NumericLiteralPositive,
  IntegerPositive: IntegerPositive,
  DecimalPositive: DecimalPositive,
  DoublePositive: DoublePositive,
  NumericLiteralNegative: NumericLiteralNegative,
  IntegerNegative: IntegerNegative,
  DecimalNegative: DecimalNegative,
  DoubleNegative: DoubleNegative,
  BooleanLiteral: BooleanLiteral,
  InlineDataFull: InlineDataFull,
  GroupGraphPatternSub: GroupGraphPatternSub,
  TriplesBlock: TriplesBlock,
  TriplesSameSubjectPath: TriplesSameSubjectPath,
  VarOrTerm: VarOrTerm,
  GraphTerm: GraphTerm,
  BlankNode: BlankNode,
  BlankNodeLabel: BlankNodeLabel,
  BlankNodeValue: BlankNodeValue,
  Anon: Anon,
  PropertyListPathNotEmpty: PropertyListPathNotEmpty,
  VerbPath: VerbPath,
  Path: Path,
  PathAlternative: PathAlternative,
  PathSequence: PathSequence,
  PathEltOrInverse: PathEltOrInverse,
  PathElt: PathElt,
  PathPrimary: PathPrimary,
  PathNegatedPropertySet: PathNegatedPropertySet,
  PathOneInPropertySet: PathOneInPropertySet,
  PathMod: PathMod,
  VerbSimple: VerbSimple,
  ObjectListPath: ObjectListPath,
  ObjectPath: ObjectPath,
  GraphNodePath: GraphNodePath,
  TriplesNodePath: TriplesNodePath,
  CollectionPath: CollectionPath,
  BlankNodePropertyListPath: BlankNodePropertyListPath,
  ObjectList: ObjectList,
  Object: Object$1,
  GraphNode: GraphNode,
  TriplesNode: TriplesNode,
  Collection: Collection,
  BlankNodePropertyList: BlankNodePropertyList,
  PropertyListNotEmpty: PropertyListNotEmpty,
  Verb: Verb,
  VarOrIri: VarOrIri,
  PropertyListPath: PropertyListPath,
  GraphPatternNotTriples: GraphPatternNotTriples,
  GroupOrUnionGraphPattern: GroupOrUnionGraphPattern,
  OptionalGraphPattern: OptionalGraphPattern,
  MinusGraphPattern: MinusGraphPattern,
  GraphGraphPattern: GraphGraphPattern,
  ServiceGraphPattern: ServiceGraphPattern,
  Filter: Filter,
  Bind: Bind,
  InlineData: InlineData,
  NotExistsFunc: NotExistsFunc,
  DatasetClause: DatasetClause,
  DefaultGraphClause: DefaultGraphClause,
  SourceSelector: SourceSelector,
  NamedGraphClause: NamedGraphClause,
  ConstructQuery: ConstructQuery,
  ConstructTemplate: ConstructTemplate,
  ConstructTriples: ConstructTriples,
  TriplesSameSubject: TriplesSameSubject,
  PropertyList: PropertyList,
  TriplesTemplate: TriplesTemplate,
  DescribeQuery: DescribeQuery,
  AskQuery: AskQuery,
  Update: Update,
  Update1: Update1,
  Load: Load,
  GraphRef: GraphRef,
  Clear: Clear,
  GraphRefAll: GraphRefAll,
  Drop: Drop,
  Add: Add,
  GraphOrDefault: GraphOrDefault,
  Move: Move,
  Copy: Copy,
  Create: Create,
  InsertData: InsertData,
  QuadData: QuadData,
  Quads: Quads,
  QuadsNotTriples: QuadsNotTriples,
  DeleteData: DeleteData,
  DeleteWhere: DeleteWhere,
  QuadPattern: QuadPattern,
  Modify: Modify,
  DeleteClause: DeleteClause,
  InsertClause: InsertClause,
  UsingClause: UsingClause,
  Keyword: Keyword
});

/**
 * Keywords are matched in a case-insensitive manner with the exception
 * of the keyword 'a' which, in line with Turtle and N3, is used in place
 * of the IRI rdf:type (in full, http://www.w3.org/1999/02/22-rdf-syntax-ns#type).
 */
const caseInsensitive = (value, stack) => {
  return tokens[value.toUpperCase()] || -1;
};

// This file was generated by lezer-generator. You probably shouldn't edit it.
const parser = LRParser.deserialize({
  version: 14,
  states: "!BdO!TQPOOP!eOPOOO!jQPO'#EtO!oQQO'#EvOOQO'#IV'#IVO!tQPO'#EsO$pQPO'#HlQOQPOOPOOO'#IU'#IUP%QOPO)CDkOOQO,5;`,5;`O%XQPO,5;bOOQO-E<T-E<TO%^QPO'#EyO%oQPO'#ExO%zQPO'#HdO&VQSO'#HjO%oQPO'#HkO&bQPO,5;^O&jQSO'#HnO&rQPO'#HpO'TQPO'#HrO'fQSO'#HsO'tQSO'#HuO(SQSO'#HvO(bQPO'#HwO(jQPO'#IRO(rQPO'#IQO(}QPO'#IPO)YQPO'#IPO)bQSO'#IPOOQO'#Hm'#HmO)gQPO,5>WPOOO-E<S-E<SOOQO1G0|1G0|OOQO'#IW'#IWO)oQSO'#IWO/RQPO,5;eOOQO,5;e,5;eO/dQPO,5;eOOQO'#Fg'#FgO%uQPO'#FgO1VQSO'#FeO1yQSO'#H`OOQO'#Ip'#IpO%oQPO,5;dO2RQPO,5;dO2jQPO,5>OO4YQSO'#HeO%oQPO,5>OO4aQPO,5>OOOQO'#HR'#HROOQO'#Iq'#IqO4fQSO,5>UO4yQPO,5>UO%oQPO,5>VO2RQPO,5>VO5WQPO'#FwOOQO1G0x1G0xO5cQPO,5>YO5nQSO,5>YO5sQSO'#HoOOQO'#Hq'#HqOOQO,5>[,5>[O5xQPO,5>[OOQO,5>^,5>^O5xQPO,5>^OOQO'#Ht'#HtO6WQSO'#HtO6]QPO,5>_O6bQSO,5>_O6mQPO,5>aO6bQSO,5>aO6rQPO,5>bO6bQSO,5>bOOQO,5>c,5>cO6wQPO,5>cO6|QPO,5>dO7RQSO'#IOOOQO,5>m,5>mO6|QPO,5>hO(mQPO,5>iOOQO,5>l,5>lO(mQPO'#IRO7]QSO'#ISOOQO'#Is'#IsO7eQPO,5>kO%uQPO,5>kO7eQPO,5>kO7mQPO,5>kOYQPO1G3rO)oQSO'#FVOOQO'#FZ'#FZO7uQPO'#FXO7zQPO'#FXO8PQPO'#FXO8UQPO'#F_O8ZQPO'#F`O8`QPO'#FaO9oQWO'#F{OOQO'#GO'#GOOOQO'#GR'#GROOQO'#GV'#GVOOQO'#F}'#F}OOQO'#GZ'#GZO%uQPO'#FbO:]QPO'#H_OOQO'#FW'#FWO:bQPO'#FWO:gQPO'#FWO:lQPO'#FWO:qQPO'#FWO:yQPO'#FWO;OQPO'#FWO;WQPO'#FWO<gQWO'#JZOOQO'#FU'#FUO=TQSO'#FTOOQO'#FT'#FTOC[QWO'#FSODvQWO'#FROOQO'#FQ'#FQOEjQWO'#FPOOQO'#FO'#FOOFhQPO'#E}OF|QPO'#E|OOQO'#E{'#E{OG_QPO,5>rOOQO-E<U-E<UOGdQPO1G1POOQO1G1P1G1POOQO,5<R,5<ROHgQSO'#F{OIyQPO'#FfOJRQSO'#GcOOQO'#Gb'#GbOOQO'#Ga'#GaOOQO'#G`'#G`O/oQSO'#GwOKxQSO'#GxOOQO'#Gv'#GvOKxQSO'#G_OL^QSO'#G_OMQQPO'#G^OMrQSO'#HVO%uQPO'#HWO%uQPO'#HXO! {QSO'#HYO!!TQSO'#HZO!!`QSO'#H[O!&gQPO'#H]O5WQPO'#H^OOQO'#HU'#HUO!&lQSO'#IjO!'`QPO'#G]O!'`QPO'#G]O!'}QPO,5<POOQO'#Hb'#HbOOQO'#Ha'#HaO1|QSO'#HcOOQO,5=z,5=zOOQO-E<n-E<nO2RQPO1G1OO!(SQPO'#FiO!!`QSO'#FnO!(XQPO'#FqO!(^QPO'#FtO!(^QPO'#FvO!(cQPO'#FsO!(qQPO'#FsOOQO'#Fh'#FhO!)PQPO'#FhO!)bQPO'#FhO!)iQPO'#FhOOQO1G1O1G1OO!)sQPO1G3jO2rQSO'#G}O!)xQSO'#HOOOQO'#G|'#G|O!)xQSO'#HgO!*TQSO'#HgO!*iQPO'#HfOOQO,5>P,5>PO!*qQPO,5>PO%oQPO1G3jO2RQPO1G3jO!*vQSO1G3jO4yQPO1G3pOOQO-E<o-E<oOOQO1G3p1G3pO2RQPO1G3pO2RQPO1G3qOOQO1G3q1G3qO!*}QPO'#FyO!+SQPO'#G[O!+XQPO'#G[OOQO'#Fx'#FxOOQO,5<c,5<cO6wQPO1G3tO!+aQPO1G3tOOQO,5>Z,5>ZOOQO1G3v1G3vOOQO1G3x1G3xOOQO,5>`,5>`O6bQSO1G3yO!+lQPO1G3yO6bQSO1G3{O!+qQPO1G3{O6bQSO1G3|O!+vQPO1G3|OOQO1G3}1G3}O7RQSO'#HyOOQO1G4O1G4OO!+{QPO'#HiO! {QSO'#H{O!,WQSO'#IrO!,eQPO'#HzO!,eQPO'#HzO!,mQPO,5>jOOQO1G4S1G4SOOQO1G4T1G4TOOQO,5>n,5>nO!,rQSO,5>nOOQO-E<q-E<qO%uQPO1G4VOOQO1G4V1G4VO!,wQPO1G4VO(mQPO'#IQO!-PQPO1G4VO!,wQPO1G4VO#{QPO'#HlOOQO7+)^7+)^O!-[QPO,5;qO!-aQSO,5;sO!-kQSO,5;sO!-rQSO,5;sO)oQSO,5;yO)oQSO,5;zO)oQSO,5;{OOQO,5<g,5<gO!-yQSO,5<gOOQO,5;|,5;|O%uQPO,5=yO)oQSO,5;rO)oQSO,5;rO!.OQPO,5;rOOQO,5;r,5;rOOQO'#F^'#F^O)oQSO'#F^O)oQSO,5;rOOQO'#Fm'#FmO!.TQSO'#FmOOQO,5?u,5?uOOQO,5;o,5;oO)oQSO'#IlO!/YQWO,5;nO)oQSO'#ImO!0zQWO'#ImO!2fQWO,5;mO!3YQSO,5;kO;OQPO,5;kO!8lQPO,5;kO)oQSO'#InO!8qQPO,5;iO)oQSO'#IoO!9VQPO,5;hO!9hQPO1G4^O!:RQPO,5<QOOQO,5<},5<}OOQO'#Id'#IdO!:YQSO,5=cOOQO'#Gu'#GuOOQO'#Gn'#GnO!:aQSO'#GnO!:oQSO'#GnO!;cQSO'#GmOOQO'#Gl'#GlO!<{QSO'#GlO!=ZQSO'#GkO!>wQSO'#GjOOQO'#Gi'#GiOOQO'#Gh'#GhOOQO'#Gr'#GrO!@bQPO,5=dO!@gQSO'#GgOOQO,5<y,5<yOOQO'#HS'#HSO!A}QSO,5<xO%uQPO'#IkO!BnQSO,5=qOOQO,5=r,5=rOOQO,5=s,5=sO%uQPO,5=tO%uQPO,5=uO! {QSO,5=uO!DwQPO'#FkOOQO'#Fp'#FpOOQO,5=v,5=vO)oQSO,5=wOOQO,5=x,5=xOOQO,5?U,5?UO!EPQSO,5?UOOQO-E<h-E<hO!EpQPO,5<wOOQO1G1k1G1kOOQO,5=},5=}OOQO7+&j7+&jO!F_QSO,5<TOOQO'#Fo'#FoOOQO'#IZ'#IZO!JiQSO,5<YO!KPQSO,5<]OOQO'#I]'#I]O!K^QPO,5<`O!KoQPO,5<bOOQO,5<_,5<_OOQO,5<S,5<SO!LQQPO,5<SO!LcQPO,5<SO!LjQSO7+)UOOQO'#Ig'#IgO!LqQSO,5=iOOQO'#G{'#G{OOQO'#HQ'#HQO!LxQSO'#HPO!N`QPO,5=jOOQO,5>R,5>ROOQO'#Hh'#HhO!NeQSO,5>QOOQO1G3k1G3kO2RQPO7+)UOOQO7+)U7+)UO!NlQPO7+)UOOQO7+)[7+)[O2RQPO7+)[OOQO7+)]7+)]O# xQSO,5<eO#!PQPO,5<vOOQO'#I_'#I_O#![QPO,5<vO#!dQPO,5<vOOQO7+)`7+)`O6wQPO7+)`OOQO7+)e7+)eO6bQSO7+)eOOQO7+)g7+)gO6bQSO7+)gOOQO7+)h7+)hO6bQSO7+)hO#!iQPO,5>eO#!nQSO,5>TO#!xQPO,5>gOOQO,5?^,5?^O#!}QSO,5?^OOQO-E<p-E<pO##XQPO,5>fOOQO1G4U1G4UOOQO1G4Y1G4YOOQO7+)q7+)qO%uQPO7+)qO##aQPO7+)qO##aQPO7+)qOOQO1G1]1G1]O##iQPO1G1_O##nQSO1G1_O)oQSO1G1_O##uQPO1G1_O)oQSO1G1_O##}QPO1G1eO#$SQPO1G1fO#$XQPO1G1gOOQO1G2R1G2ROOQO1G3e1G3eO#$^QPO1G1^O#$cQPO1G1^O#$hQPO,5;xO#$pQPO1G1^O#$uQPO,5<XO)oQSO,5<XOOQO,5?W,5?WOOQO-E<j-E<jOOQO,5?X,5?XO#%{QWO,5?XOOQO-E<k-E<kO#&oQPO'#F{O;]QPO'#JZO#'fQPO'#FSO#'pQPO'#FROOQO1G1V1G1VO;OQPO1G1VOOQO,5?Y,5?YOOQO-E<l-E<lOOQO,5?Z,5?ZOOQO-E<m-E<mO#'zQPO7+)xO#(PQPO1G1lOOQO-E<b-E<bOOQO1G2}1G2}OOQO'#Gp'#GpO#(XQSO'#GpOOQO'#Go'#GoO#(aQSO'#GoOOQO,5=Y,5=YO#(oQPO,5=YO#(tQQO'#GmO#({QQO'#GkO#)WQQO'#GjOOQO'#Gq'#GqOOQO,5=X,5=XOOQO,5=W,5=WOK{QSO'#IbO#)`QSO,5=VOK{QSO'#IcO#*|QSO,5=UOOQO1G3O1G3OO#,gQPO'#GcOOQO'#Gt'#GtO#-eQPO'#GsO#.`QPO,5=ROOQO1G2d1G2dOOQO,5?V,5?VOOQO-E<i-E<iOOQO1G3`1G3`OOQO1G3a1G3aO%uQPO1G3aOOQO,5<V,5<VO#/WQPO1G3cOOQO1G4p1G4pOOQO'#Fj'#FjO)oQSO'#FjOOQO'#IY'#IYO#/]QSO1G1oOOQO-E<X-E<XO!&bQPO'#FrOOQO'#Fr'#FrOOQO'#I['#I[O#/vQSO1G1wOOQO-E<Z-E<ZOOQO1G1n1G1nO#0dQPO1G1nO2RQPO<<LpO#0uQPO<<LpOOQO-E<e-E<eOOQO1G3T1G3TO#0zQPO,5=kOOQO'#Gz'#GzO#1]QPO'#GyOOQO1G3U1G3UOOQO1G3l1G3lOOQO<<Lp<<LpOOQO<<Lv<<LvOOQO'#Fz'#FzOOQO'#I^'#I^O#2WQSO1G2POOQO1G2P1G2PO#2_QSO'#I`OOQO'#I`'#I`O#2fQPO1G2bOOQO1G2b1G2bOOQO-E<]-E<]O#2qQPO1G2bO#2fQPO1G2bOOQO<<Lz<<LzOOQO<<MP<<MPOOQO<<MR<<MROOQO<<MS<<MSOOQO1G4P1G4POOQO1G3o1G3oO#2vQSO1G4ROOQO1G4x1G4xOOQO<<M]<<M]O%uQPO<<M]O#2}QPO<<M]OOQO7+&y7+&yO#3VQPO7+&yO#3[QPO7+&yO#3aQPO7+&yO)oQSO7+'PO)oQSO7+'QO)oQSO7+'ROOQO7+&x7+&xO)oQSO7+&xO)oQSO'#IXO#3iQPO1G1dOOQO1G1d1G1dO)oQSO7+&xO#3qQPO1G1sOOQO1G1s1G1sO#3qQPO1G1sO#3yQPO,5;nO#4TQPO'#ImO#4_QPO,5;mOOQO7+&q7+&qOOQO<<Md<<MdOOQO7+'W7+'WOOQO,5=[,5=[OOQO,5=Z,5=ZO#4iQQO,5=ZOOQO1G2t1G2tO#4qQQO,5=VO#4|QQO,5=UOOQO,5>|,5>|OOQO-E<`-E<`OOQO,5>},5>}OOQO-E<a-E<aO!@gQSO'#IeO#5UQPO,5=_O#6PQSO'#IfO#6yQPO1G2mOOQO7+({7+({O#7qQPO7+(}O#7vQPO,5<UOOQO-E<W-E<WOOQO,5<^,5<^OOQO-E<Y-E<YOOQO7+'Y7+'YOOQOANB[ANB[O2RQPOANB[O#8OQSO'#IhO#8jQPO1G3VO!LxQSO'#IiO#8{QPO,5=eOOQO-E<[-E<[OOQO7+'k7+'kO#9vQSO,5>zOOQO,5>z,5>zOOQO-E<^-E<^OOQO7+'|7+'|O#9}QPO7+'|O#9}QPO7+'|OOQO7+)m7+)mO#:YQPO7+)mOOQOANBwANBwO%uQPOANBwOOQO<<Je<<JeO#:_QPO<<JeO#:dQPO<<JeO#:iQPO<<JkO#:qQPO<<JlO#:vQPO<<JmO#;OQPO<<JdOOQO,5>s,5>sOOQO-E<V-E<VOOQO7+'O7+'OO#;TQPO<<JdOOQO7+'_7+'_O#;YQPO7+'_O#;bQPO,5?XO#;lQSO'#IaO#;wQQO1G2uOOQO1G2u1G2uOOQO,5?P,5?POOQO-E<c-E<cO!LxQSO,5?QOOQO-E<d-E<dO#<PQPO<<LiOOQO1G1p1G1pO#<UQPO1G1pOOQOG27vG27vO!LxQSO,5?SOOQO-E<f-E<fOOQO,5?T,5?TOOQO-E<g-E<gOOQO1G4f1G4fO#<ZQPO<<KhOOQO<<Kh<<KhOOQO<<MX<<MXOOQOG28cG28cOBOQPOAN@PO#<fQPOAN@POOQOAN@VAN@VO)oQSOAN@VO)oQSOAN@WOOQOAN@XAN@XO)oQSOAN@XOOQOAN@OAN@OO)oQSOAN@OOOQO<<Jy<<JyOOQO,5>{,5>{OOQO-E<_-E<_OOQO7+(a7+(aOOQO1G4l1G4lOOQOANBTANBTO#<kQPO7+'[OOQO1G4n1G4nOOQOANASANASO#<pQPOG25kOBOQPOG25kO#<uQPOG25qO#<zQPOG25rO#=SQPOG25sO#=XQPOG25jOOQO<<Jv<<JvOOQOLD+VLD+VO#=^QPOLD+VOOQOLD+]LD+]OOQOLD+^LD+^O)oQSOLD+^OOQOLD+_LD+_OOQOLD+ULD+UOOQO!$'Nq!$'NqO#=cQPO!$'NxOOQO!)9Dd!)9DdO#=hQSO'#FTO!3YQSO'#IlO!3YQSO'#ImO!<{QSO'#GlO!:oQSO'#IbO!:oQSO'#Ic",
  stateData: "#CY~O'jOS#dPQ~OPQOQRO#S#gP#V#gP#W#gP#X#gP#Y#gP#Z#gP#[#gP#]#gP#_#gP#`#gP'h#gP~OR#gPS#gPT#gP]#gP~PYO#dWO~O#iYO~O#kZO~OPQOQROR#gXS#gXT#gX]#gX#S#gX#V#gX#W#gX#X#gX#Y#gX#Z#gX#[#gX#]#gX#_#gX#`#gX'h#gX~O#ScO#VdO#WeO#XiO#YfO#ZgO#[hO#]jO#_kO#`nO'h&`X~OR]OS_OT`O]aO~P#{O#dWO~Q'i]#irO~OVwOWwO#nsO'ktO'nvO~OUyO#O{O$WzO~OU!SO#O{O$W!QO~O#n!TO$`!TO'n!WO~O!s!ZO'h$kP~O!z!^O$`!]O~O!x!_O!z!bO#P!`O#a!`O#b!`O~O!x!_O!z!dO#P!`O#a!`O#b!`O~O!x!fO!z!hO#a!eO$`!eO~O!x!fO!z!jO#a!eO$`!eO~O!x!fO!z!lO#a!eO$`!eO~O!x!_O!z!nO~O#^!oO$W!pO~OU!sO#^!rO$W!pO~OU!yO#]!uO#c!vO~OU!yO#c!vO~O$`!{O~O#|!|O'h&`a~OX#`OY#`OZ#aO[#`O^#bO_#`O`#`Oa#cOb#dOc#`Od#`Oe#`Of#`Og#eOh#`Oi#`Oj#`Ok#`Ol#aOm#aOn#aOo#aOp#aOq#`Or#`Os#`Ot#`Ou#`Ov#`Ow#`Ox#`Oy#dOz#dO{#dO|#`O}#`O!O#`O!P#`O!Q#`O!R#eO!S#fO!T#aO!U#aO!V#aO!W#`O!X#`O!Y#`O!Z#`O![#`O!]#PO!^#QO!_#QO!`#QO!a#QO!b#QO!c#RO!e#SO!f#TO!g#UO!h#]O!i#^O#Q#[O#R#[O#n#hO$`#gO$i#WO$s#WO$t#WO$v#XO$w#XO$x#XO$z#YO${#YO$|#YO'k!}O'l#iO'p#OO'q#OO'r#OO's#OO'y#iO(O#iO~O#nsO'ktOU#ma#O#ma$W#ma~O#nsO'ktO'n#vO~O#Q#[O#R#[O#n#}O$P#|O$`#|O$i#WO$s#WO$t#WO$v#XO$w#XO$x#XO$z#YO${#YO$|#YO%W#zO%Y#{O'k$OO'p#OO'q#OO'r#OO's#OO'|$PO~OR]O!s$]O!v$VO!w$WO!x$XO!y$YO!{$ZO!|$[O$WzO$V%PP~P/oO#P$eO$`$cO~O!k$iO!m$jO!n$kO!q$lO!r$mO!s$[P'h$[P~OU$uO#O{O~O#Q#[O#R#[O#n#}O$P#|O$`#|O$i#WO$s#WO$t#WO$v#XO$w#XO$x#XO$z#YO${#YO$|#YO%W#zO%Y#{O'k$vO'p#OO'q#OO'r#OO's#OO'|$wO~O$V$|O~P2rO$W%QO~OUyO#O{O#n!TO$WzO$`!TO~P2ROUyO#O{O$WzO~P2RO#n%XO$P%YO'k%ZO~O#T%^O#|&ba'h&ba~O$`%_O~O$`%`O~O!x!_O#P!`O#a!`O#b!`O~O$`%cO~O#U%dO~O!x!fO#a!eO$`!eO~O#U%fO~O#U%hO~O!x!_O~O$W%kO~O!x%nO$V&nP~P2rO#P%vO$`%uO~OU%xO#c!vO~O#]!uO#_%{O~O'k&RO~O'k&SO~O'k&TO~O'k&UO~O'k&VO~O'k&WO~O$p&XO't&YO!}$oX$v$oX$w$oX$x$oX$z$oX${$oX$|$oX'n$oX'y$oX'z$oX(O$oX(U$oX(V$oX'm$oX#|$oX$O$oX~O!i$oX!j$oX'o$oX(P$oX(Q$oX(R$oX(S$oX(T$oX~P8eO!h&[O~O'k&]O~O'k&^O~O'k&_O~O$P&`O'k&]O~O$P&`O~O$P&aO'k&bO~O'k&cO~O$P&dO'k&eO!}'}X$v'}X$w'}X$x'}X$z'}X${'}X$|'}X'n'}X'y'}X'z'}X(O'}X(U'}X(V'}X'm'}X#|'}X$O'}X~O!i'}X!j'}X'o'}X(P'}X(Q'}X(R'}X(S'}X(T'}X~P;]OX#`OY#`OZ#aO[#`O^#bO_#`O`#`Oa#cOb#dOc#`Od#`Oe#`Of#`Og#eOh#`Oi#`Oj#`Ok#`Ol#aOm#aOn#aOo#aOp#aOq#`Or#`Os#`Ot#`Ou#`Ov#`Ow#`Ox#`Oy#dOz#dO{#dO|#`O}#`O!O#`O!P#`O!Q#`O!R#eO!S#fO!T#aO!U#aO!V#aO!W#`O!X#`O!Y#`O!Z#`O![#`O!]#PO!^#QO!_#QO!`#QO!a#QO!b#QO!c#RO!e#SO!f#TO!g#UO!h#]O!i#^O#Q#[O#R#[O#n#hO$`#gO$i#WO$s#WO$t#WO$v#XO$w#XO$x#XO$z#YO${#YO$|#YO'k!}O'p#OO'q#OO'r#OO's#OO~O!}#vX$v#vX$w#vX$x#vX$z#vX${#vX$|#vX'y#vX(O#vX(U#vX(V#vX'm#vX#|#vX$O#vX~O'n&hO'z&hO!i#vX!j#vX'o#vX(P#vX(Q#vX(R#vX(S#vX(T#vX~PB^O$v#XO$w#XO$x#XO$z#YO${#YO$|#YO!}#uX(U#uX(V#uX'm#uX#|#uX$O#uX~O'y&jO(O&jO!i#uX!j#uX'o#uX(P#uX(Q#uX(R#uX(S#uX(T#uX~PDOO!i&oO!j&nO'o&mO(P&mO(Q&mO(R&mO(S&mO(T&mO!}#sX(U#sX(V#sX'm#sX#|#sX$O#sX~O(U&pO!}#qX(V#qX'm#qX#|#qX$O#qX~O(V&rO!}#pX'm#pX#|#pX$O#pX~O!}&tO~O#nsO'ktOU#mi#O#mi$W#mi~O$p&XO't&YO$v$oX$w$oX$x$oX$z$oX${$oX$|$oX'm$oX$V$oX~O#n$oX$`$oX'k$oX'l$oX'u$oX'v$oX#Q$oX#R$oX$P$oX$i$oX$s$oX$t$oX%W$oX%Y$oX'p$oX'q$oX'r$oX's$oX'|$oX!t$oX~PGuOUyO$WzO~O%X&vO#n%VX$`%VX'k%VX'l%VX'u%VX'v%VX#Q%VX#R%VX$P%VX$i%VX$s%VX$t%VX$v%VX$w%VX$x%VX$z%VX${%VX$|%VX%W%VX%Y%VX'm%VX'p%VX'q%VX'r%VX's%VX'|%VX~O#n'UO$`&zO'k&|O'l&{O'u&zO'v'PO~O!s%vP!v%vP!w%vP!x%vP!y%vP!{%vP!|%vP$V%vP$W%vP%w%vP~PKxO%w'ZO!s%QX!v%QX!w%QX!x%QX!y%QX!{%QX!|%QX$V%QX$W%QX~O!u'[O!s%yX!v%yX!w%yX!x%yX!y%yX!{%yX!|%yX#Q%yX#R%yX#n%yX$P%yX$V%yX$W%yX$`%yX$i%yX$s%yX$t%yX$v%yX$w%yX$x%yX$z%yX${%yX$|%yX%W%yX%Y%yX%w%yX'k%yX'p%yX'q%yX'r%yX's%yX'|%yX~O#n!TO$`!TO~O!z'bO#n!TO$`!TO~OX#`OY#`OZ#aO[#`O^#bO_#`O`#`Oa#cOb#dOc#`Od#`Oe#`Of#`Og#eOh#`Oi#`Oj#`Ok#`Ol#aOm#aOn#aOo#aOp#aOq#`Or#`Os#`Ot#`Ou#`Ov#`Ow#`Ox#`Oy#dOz#dO{#dO|#`O}#`O!O#`O!P#`O!Q#`O!R#eO!S#fO!T#aO!U#aO!V#aO!W#`O!X#`O!Y#`O!Z#`O![#`O!]#PO!^#QO!_#QO!`#QO!a#QO!b#QO!c#RO!e#SO!f#TO!g#UO!h#]O!i#^O$`'cO'k!}O~O'k'fO~O%w'iO!s'^X!v'^X!w'^X!x'^X!y'^X!{'^X!|'^X$V'^X$W'^X~P/oO!s$]O!v$VO!w$WO!x$XO!y$YO!{$ZO!|$[O$WzO$V%PX~O$V'lO~O!l'oO~O!l'sO~O$i'tO~O!r$mO!s$gX'h$gX$V$gX~O!q$lO!s$gX'h$gX$V$gX~O!q$lO!r$mO!s$[X'h$[X$V$[X~O!n$kO~P!)PO!m$jO!n$kO~P!)PO$W'{O~O#n!TO$`!TO'u(PO~O#n!TO$`!TO'u(PO$V&[P%w&[P!x&[P~O%w(UO$V&YX~O$V(VO~O$V(WO~P2rO$W(^O~O$W(_O~O#n(`O'm(bO~O#T(dO#|&bi'h&bi~O#U(fO~O#U(hO~O#U(jO~O%w(lO!x&]X$V&]X~O%w(oO!x'fX$V'fX~P2rO!x%nO$V&nX~O$V(rO~O$`(sO~OU(uO#c!vO~OU(uO#]!uO#c!vO~O'm(xO~OV(zO'n(yO~P)oOV({O~P)oOV(}O~P)oO$`)RO~O#n)TO~OV)YO~P)oO!}#va$v#va$w#va$x#va$z#va${#va$|#va'y#va(O#va(U#va(V#va'm#va#|#va$O#va~O'n&hO'z&hO!i#va!j#va'o#va(P#va(Q#va(R#va(S#va(T#va~P!.[O!}'aX$v'aX$w'aX$x'aX$z'aX${'aX$|'aX'y'aX(O'aX(U'aX(V'aX'm'aX#|'aX$O'aX~O'n&hO'z&hO!i'aX!j'aX'o'aX(P'aX(Q'aX(R'aX(S'aX(T'aX~P!/|O$v#XO$w#XO$x#XO$z#YO${#YO$|#YO!}#ua(U#ua(V#ua'm#ua#|#ua$O#ua~O'y&jO(O&jO!i#ua!j#ua'o#ua(P#ua(Q#ua(R#ua(S#ua(T#ua~P!1nOX#`OY#`OZ#aO[#`O^#bO_#`O`#`Oa#cOb#dOc#`Od#`Oe#`Of#`Og#eOh#`Oi#`Oj#`Ok#`Ol#aOm#aOn#aOo#aOp#aOq#`Or#`Os#`Ot#`Ou#`Ov#`Ow#`Ox#`Oy#dOz#dO{#dO|#`O}#`O!O#`O!P#`O!Q#`O!R#eO!S#fO!T#aO!U#aO!V#aO!W#`O!X#`O!Y#`O!Z#`O![#`O!]#PO!^#QO!_#QO!`#QO!a#QO!b#QO!c#RO!e#SO!f#TO!g#UO!h#]O!i#^O#Q#[O#R#[O#n#hO$`)aO$i#WO$s#WO$t#WO$v#XO$w#XO$x#XO$z#YO${#YO$|#YO'k!}O'l.TO'p#OO'q#OO'r#OO's#OO'y.TO(O.TO~O!j)eO~O(U&pO!}#qa(V#qa'm#qa#|#qa$O#qa~O(V&rO!}#pa'm#pa#|#pa$O#pa~O#n)jO~O!k$iO!m$jO!n$kO!q$lO!r$mO!s$[P~O$V$[P~P!9mO'm)mO~P/oO$`)nO'k)qO'u)nO'v)oO~O$`&zO'k&|O'l&{O'u&zO'v.WO~O'n)wO'x)wO'y)wO'w%aX'z%aX~O#Q%aX#R%aX#n%aX$P%aX$`%aX$i%aX$s%aX$t%aX$v%aX$w%aX$x%aX$z%aX${%aX$|%aX%W%aX%Y%aX'k%aX'p%aX'q%aX'r%aX's%aX'|%aX~P!;QO$`&zO'k&|O'l&{O'u&zO~O'z)zO#Q%_X#R%_X#n%_X$P%_X$`%_X$i%_X$s%_X$t%_X$v%_X$w%_X$x%_X$z%_X${%_X$|%_X%W%_X%Y%_X'k%_X'p%_X'q%_X'r%_X's%_X'w%_X'|%_X~O'w)|O#Q%^X#R%^X#n%^X$P%^X$`%^X$i%^X$s%^X$t%^X$v%^X$w%^X$x%^X$z%^X${%^X$|%^X%W%^X%Y%^X'k%^X'p%^X'q%^X'r%^X's%^X'|%^X~O'{*OO~O#Q#[O#R#[O#n#}O$P#|O$`#|O$i#WO$s#WO$t#WO$v#XO$w#XO$x#XO$z#YO${#YO$|#YO%W*PO%Y#{O'k$OO'p#OO'q#OO'r#OO's#OO'|$PO~O!s%Qa!v%Qa!w%Qa!x%Qa!y%Qa!{%Qa!|%Qa$V%Qa$W%Qa~P/oO!u'[O!s%ya!v%ya!w%ya!x%ya!y%ya!{%ya!|%ya#Q%ya#R%ya#n%ya$P%ya$V%ya$W%ya$`%ya$i%ya$s%ya$t%ya$v%ya$w%ya$x%ya$z%ya${%ya$|%ya%W%ya%Y%ya%w%ya'k%ya'p%ya'q%ya'r%ya's%ya'|%ya~O$P&dO'k&eO~O!s'^a!v'^a!w'^a!x'^a!y'^a!{'^a!|'^a$V'^a$W'^a~P/oO!s$]O!v$VO!w$WO!x$XO!y$YO!{$ZO!|$[O$WzO$V%Pa~OX#`OY#`OZ#aO[#`O^#bO_#`O`#`Oa#cOb#dOc#`Od#`Oe#`Of#`Og#eOh#`Oi#`Oj#`Ok#`Ol#aOm#aOn#aOo#aOp#aOq#`Or#`Os#`Ot#`Ou#`Ov#`Ow#`Ox#`Oy#dOz#dO{#dO|#`O}#`O!O#`O!P#`O!Q#`O!R#eO!S#fO!T#aO!U#aO!V#aO!W#`O!X#`O!Y#`O!Z#`O![#`O!]#PO!^#QO!_#QO!`#QO!a#QO!b#QO!c#RO!e#SO!f#TO!g#UO!h#]O!i#^O#n*^O$`'cO'k*_O~O!n$ba!q$ba!r$ba!s$ba'h$ba$V$ba~P!!`O!o*cO!p*cO#n*dO~P!!`O$i'tO!r$ha!s$ha'h$ha$V$ha~O$i'tO!q$ja!s$ja'h$ja$V$ja~O!q$lO!r$mO!s$[a'h$[a$V$[a~O!n$kO~P!LQO$V*jO~P2rO'm*mO~P2rO#Q#[O#R#[O#n#}O$P#|O$`#|O$i#WO$s#WO$t#WO$v#XO$w#XO$x#XO$z#YO${#YO$|#YO%W*PO%Y#{O'k$vO'p#OO'q#OO'r#OO's#OO'|$wO~O'{*qO~O$V&Ya~P2rO$V*jO~O!t*uO#Q#[O#R#[O$`*uO$i#WO$s#WO$t#WO$v#XO$w#XO$x#XO$z#YO${#YO$|#YO'p#OO'q#OO'r#OO's#OO~O$V*xO~P!NqO$P*zO$V*|O'k*yO~O#n(`O'm+OO~O$W+PO~O$V+UO~O!x&]a$V&]a~P2rO$W+WO~O!x'fa$V'fa~P2rO!x%nO$V&na~OU+ZO#c!vO~O'm+]O~O'n+^O~P)oO#|+_O'm+]O~O$O+aO~O$O+bO~O$O+cO~O'm+dO~O$O+eO~O$O+fO'm+hO~O$O+iO~O$O+fO'm+kO~O!}'aa$v'aa$w'aa$x'aa$z'aa${'aa$|'aa'y'aa(O'aa(U'aa(V'aa'm'aa#|'aa$O'aa~O'n&hO'z&hO!i'aa!j'aa'o'aa(P'aa(Q'aa(R'aa(S'aa(T'aa~P#$}O'{$oX!s$oX!v$oX!w$oX!x$oX!y$oX!{$oX!|$oX$V$oX$W$oX%w$oX~P8eO'n.UO'z.UO~PB^O'y.VO(O.VO~PDOO'm+qO~O!s!ZO$V$kP~O$`+sO'u+sO~O$`)nO'm+tO'u)nO'v)oO~O'm+vO~O'm%aX~P!;QO'z.XO'm%_X'w%_X~O'w.YO'm%^X~O'z)zO#Q%_a#R%_a#n%_a$P%_a$`%_a$i%_a$s%_a$t%_a$v%_a$w%_a$x%_a$z%_a${%_a$|%_a%W%_a%Y%_a'k%_a'p%_a'q%_a'r%_a's%_a'w%_a'|%_a~O'w)|O#Q%^a#R%^a#n%^a$P%^a$`%^a$i%^a$s%^a$t%^a$v%^a$w%^a$x%^a$z%^a${%^a$|%^a%W%^a%Y%^a'k%^a'p%^a'q%^a'r%^a's%^a'|%^a~O%X&vO#|%VX$O%VX'{%VX!s%VX!v%VX!w%VX!x%VX!y%VX!{%VX!|%VX$V%VX$W%VX%w%VX~O$O+}O#|%gX'{%gX!s%gX!v%gX!w%gX!x%gX!y%gX!{%gX!|%gX$V%gX$W%gX%w%gX~O#|,PO'{%Za!s%Za!v%Za!w%Za!x%Za!y%Za!{%Za!|%Za$V%Za$W%Za%w%Za~O!},SO~O!m$]i!n$]i!q$]i!r$]i!s$]i'h$]i$V$]i~P!F_O!o*cO!p*cO#n*dO!q$ei!r$ei!s$ei'h$ei$V$ei~P!!`O!q$lO!r$mO!s$[i'h$[i$V$[i~O$V,ZO~O#|,[O'{%sa$V%sa%w%sa!x%sa~O$O,^O#|%mX'{%mX$V%mX%w%mX!x%mX!s%mX!v%mX!w%mX!y%mX!{%mX!|%mX$W%mX~O$V,aO~P!NqO'm,cO~P!NqO$P*zO$V,eO'k*yO~O$W,fO~O$V,hO~P2rOU,kO#c!vO~O'm,lO~O!d,mO~O#|,nO'm,lO~O$O+fO'm,uO~O$O+fO'm,wO~O'n.UO'z.UO~P!.[O'n.UO'z.UO~P!/|O'y.VO(O.VO~P!1nO'm,|O'w,zO~O'z.XO'm%_a'w%_a~O'w.YO'm%^a~O$O+}O#|%ga'{%ga!s%ga!v%ga!w%ga!x%ga!y%ga!{%ga!|%ga$V%ga$W%ga%w%ga~O#|'YX'{'YX!s'YX!v'YX!w'YX!x'YX!y'YX!{'YX!|'YX$V'YX$W'YX%w'YX~PKxO#|,PO'{%Zi!s%Zi!v%Zi!w%Zi!x%Zi!y%Zi!{%Zi!|%Zi$V%Zi$W%Zi%w%Zi~O#n-RO~O!}-TO'm-SO~O#n!TO$`!TO'u(PO#|'[X'{'[X$V'[X%w'[X!x'[X~O#|,[O'{%si$V%si%w%si!x%si~O$O,^O#|%ma'{%ma$V%ma%w%ma!x%ma!s%ma!v%ma!w%ma!y%ma!{%ma!|%ma$W%ma~O'm-ZO~P!NqO$P*zO$V-]O'k*yO~O$V-^O~O'o-`O~O!d-aO~O$O-cO'm-bO~O$O-dO~O$O-fO'm-eO~O'm-gO~O$O-hO~O$O+fO'm-iO~O'n.UO'z.UO~P#$}O$`)nO'u)nO'v)oO~O'm-lO'w,zO~O'm-nO~O#n-oO~O$P*zO$V-qO'k*yO~O'o-sO~O'm-xO~O'm-yO~O'm-{O~O$O-}O'm-|O~O'm.OO~O'm.PO~O'm.QO~O'm.SO~OX#`OY#`OZ#aO[#`O^#bO_#`O`#`Oa#cOb#dOc#`Od#`Oe#`Of#`Og#eOh#`Oi#`Oj#`Ok#`Ol#aOm#aOn#aOo#aOp#aOq#`Or#`Os#`Ot#`Ou#`Ov#`Ow#`Ox#`Oy#dOz#dO{#dO|#`O}#`O!O#`O!P#`O!Q#`O!R#eO!S#fO!T#aO!U#aO!V#aO!W#`O!X#`O!Y#`O!Z#`O![#`O!]#PO!^#QO!_#QO!`#QO!a#QO!b#QO!c#RO!e#SO!f#TO!g#UO!h#]O!i#^O#Q#[O#R#[O#n#hO$`)aO$i#WO$s#WO$t#WO$v#XO$w#XO$x#XO$z#YO${#YO$|#YO'k!}O'p#OO'q#OO'r#OO's#OO~O$`'u#n'x%W'j$|${$z&w$x$w$v$t$s$i(O$v'y%w%X'y~",
  goto: "!(h(OPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPP(P(S(YP(YP(_(bP(h*b+S+w,m-a.W.{/v0s1p2u3{P4}PP6p3{3{3{3{PP6y8X8[8x9p:Q3pP:U:]:p:t;P;h;l<YP<s=^=d=j=n=tP=t?aPP@xPPP@xPPP=t=j8XBiBuB{CmDXDsPPPE_EhEpEyFQF_FnF}G^GaGjEhGnGqGwHPH]H]HgHpHxISIhIhIzJTJ]JsPJvJ|J|J|J|J|J|J|J|3{KSKaKdKa(_KjKmKsLRLU(_(_LlLrLvLzLvM^LvLvMjLvLvLvLvN`NfNlLvLvNsLv! O! V! dP! p! v! }!!X!!g!!m!!s!!y!#T!#_!#e!#s!#y!$T!$_!$e!$k!$q!$w!$}!%T!%_!%e!%w!&R!&X!&_!&v!&|!'XPPPPPPPPPPPPPPPPPPPPP!'mRVOQUOR&O!|VSOT!|RbUQ^UR#yzQ#stQ&Q!}S(y&R&SQ(|&TQ)O&UQ)P&VQ)Q&WQ)T&]Q)U&^Q)V&bQ)W&cQ)X&eQ*['fS+^(z({Q+`(}Q+l)YQ,T*_Q,o+aQ,p+bQ,q+cQ,r+eQ,s+fQ,v+iQ-t-cQ-u-dQ-v-fQ-w-hR.R-}!_#rt!}&R&S&T&U&V&W&]&^&b&c&e'f(z({(})Y*_+a+b+c+e+f+i-c-d-f-h-}!^#qt!}&R&S&T&U&V&W&]&^&b&c&e'f(z({(})Y*_+a+b+c+e+f+i-c-d-f-h-}R)h&r!`#pt!}&R&S&T&U&V&W&]&^&b&c&e&r'f(z({(})Y*_+a+b+c+e+f+i-c-d-f-h-}R)f&p!c#ot!}&R&S&T&U&V&W&]&^&b&c&e&p&r'f(z({(})Y*_+a+b+c+e+f+i-c-d-f-h-}!b#nt!}&R&S&T&U&V&W&]&^&b&c&e&p&r'f(z({(})Y*_+a+b+c+e+f+i-c-d-f-h-}R)d&m!e#mt!}&R&S&T&U&V&W&]&^&b&c&e&m&p&r'f(z({(})Y*_+a+b+c+e+f+i-c-d-f-h-}!b#lt!}&R&S&T&U&V&W&]&^&b&c&e&p&r'f(z({(})Y*_+a+b+c+e+f+i-c-d-f-h-}S)]&j.VR)c&m!d#kt!}&R&S&T&U&V&W&]&^&b&c&e&j&p&r'f(z({(})Y*_+a+b+c+e+f+i-c-d-f-h-}S)Z&h.UT)b&m.V!l#jt!}&R&S&T&U&V&W&]&^&b&c&e&h&j&m&p&r'f(z({(})Y*_+a+b+c+e+f+i-c-d-f-h-}.U.VT&g#i.T!p#ht!}#i&R&S&T&U&V&W&]&^&b&c&e&h&j&m&p&r'f(z({(})Y*_+a+b+c+e+f+i-c-d-f-h-}.T.U.VY'd$Z$j'r's*fR,V*c!p#ht!}#i&R&S&T&U&V&W&]&^&b&c&e&h&j&m&p&r'f(z({(})Y*_+a+b+c+e+f+i-c-d-f-h-}.T.U.VY'd$Z$j'r's*fT*^'o*a#P#_t!}#i$Z$j&R&S&T&U&V&W&]&^&b&c&e&h&j&m&p&r'f'o'r's(z({(})Y*_*a*f+a+b+c+e+f+i-c-d-f-h-}.T.U.V!h#Vt!}#i&R&S&T&U&V&W&]&^&b&c&e&h&j&p&r'f(z({(})Y*_+a+b+c+e+f+i-c-d-f-h-}|#xz!Q!p$O$_$v%Q%k%o&x'Z'i'{'}(U(^(l(o*w*y+W,bd)`&m'W(Q+},^-P-V.T.U.VQ-r-`R-z-sQ&`#eQ)d&nR+p)edx^a}!R!V!W!X#y%O%RQ#wyW$Uz$`$a'kQ%y!yQ&Z#]Q'^$VQ'_$WQ(t%xQ)S&[Q*U'[Q*W'`Q*X'aQ+Y(uQ,R*YQ,j+ZR-_,kR$bzQ!O^Q!YaQ$h}Q%P!RS%U!V!WQ%V!XQ&u#yQ(W%OR([%RQ$t!OS%T!V!WQ%W!YQ'n$hQ(X%PS(Z%R%UQ(]%VQ)k&uQ*s(WQ*t([Q,Y*jR-U,Zm$s!O!V!W!Y$h%P%R%U%V&u(W([*j,ZT*`'o*aS&f#g)aR*Z'cl$r!O!V!W!Y$h%P%R%U%V&u(W([*j,ZR'z$sT'q$j'rQ'e$ZS'p$j'rT*d's*fl$q!O!V!W!Y$h%P%R%U%V&u(W([*j,ZS'y$r$sR*i'zT*e's*fl$p!O!V!W!Y$h%P%R%U%V&u(W([*j,ZU'x$q$r$sS*h'y'zR,X*ix$n!O!V!W!Y$h$q$r$s%P%R%U%V&u'y'z(W([*i*j,ZR'w$ox$o!O!V!W!Y$h$q$r$s%P%R%U%V&u'y'z(W([*i*j,ZR'w$nQ![bR+r)kQ%]!ZR'g$]T%[!Z$]X*v(^*w*y,b!p#ht!}#i&R&S&T&U&V&W&]&^&b&c&e&h&j&m&p&r'f(z({(})Y*_+a+b+c+e+f+i-c-d-f-h-}.T.U.V!Q#|z!Q!p$O$_$v%Q%k%o&x'W'Z'i'{'}(Q(U(l(o+W+},^-P-VX*u(^*w*y,b#{#Ztz!Q!p!}#i$O$_$v%Q%k%o&R&S&T&U&V&W&]&^&b&c&e&h&j&m&p&r&x'W'Z'f'i'{'}(Q(U(^(l(o(z({(})Y*_*w*y+W+a+b+c+e+f+i+},^,b-P-V-c-d-f-h-}.T.U.V#z#Ztz!Q!p!}#i$O$_$v%Q%k%o&R&S&T&U&V&W&]&^&b&c&e&h&j&m&p&r&x'W'Z'f'i'{'}(Q(U(^(l(o(z({(})Y*_*w*y+W+a+b+c+e+f+i+},^,b-P-V-c-d-f-h-}.T.U.VS&k#l&lT+n)c+oQ$azQ'h$_Q*T'ZR*]'iX$Tz$_'Z'iW$Rz$_'Z'id$y!Q!p%Q%k%o'{(U(l(o+WW&y$O&x'W+}](O$v'}(Q,^-P-V!R#}z!Q!p$O$_$v%Q%k%o&x'W'Z'i'{'}(Q(U(l(o+W+},^-P-V!R#|z!Q!p$O$_$v%Q%k%o&x'W'Z'i'{'}(Q(U(l(o+W+},^-P-V!R#{z!Q!p$O$_$v%Q%k%o&x'W'Z'i'{'}(Q(U(l(o+W+},^-P-VQ'V$PQ'X$RR'Y$SU'W$P$R$SR-P,PW'T$P$R$S,PR)s&|Z'S$P$R$S&|,PW'R$P$R$S,PQ)v&|T+{)|.YY'Q$P$R$S)|,PS)u&|.YT+y)z.Xb'O$P$R$S&|)z)|,P.X.YT)y'P.W^&}$P$R$S'P)z)|,PX)t&|.W.X.YR)r&{Q)p&{Q+u)qR-j,zT)x&})tR*S'WQ*R'WR,}+}S&w$O&xT*Q'W+}W$Sz$_'Z'iX&y$O&x'W+}a$Qz$O$_&x'W'Z'i+}Q*n(QQ-m-PR-p-VU*p(Q-P-VR-X,^S'|$v'}X*o(Q,^-P-Vd$z!Q!p%Q%k%o'{(U(l(o+W](O$v'}(Q,^-P-Vq$x!Q!p$v%Q%k%o'{'}(Q(U(l(o+W,^-P-VQ(R$wQ(S$yR(T$zU(Q$w$y$zR-V,[S!U`!VQ'`$XQ'a$YW(P$w$y$z,[Q(m%nR*Y'bR'X$SX$_z$`$a'kX$^z$`$a'kg|^_a}!P!R!V!W!X%O%RR$f{Q$d{R'm$eR!R_Q$}!QR*r(US${!Q(Ua%m!p%Q%k%o'{(l(o+WR(S$zS%q!p%kQ(Y%QQ(n%oQ*k'{Q+V(lQ+X(oR,i+WQVOR&P!|TpU&OToU&OW!`de!b!dQ!miQ%j!nQ(c%^R+Q(dQ!adQ!ceQ%a!bR%b!dQ!gfQ!igQ!khQ%e!hQ%g!jQ%i!lQ(e%dQ(g%fQ(i%hQ+R(fQ+S(hR+T(jQ%l!oR%s!rQ%r!pR(k%kZ%o!p%k%p%q(qS!qj!uS!tk%{R%t!sSlU&OR%|!{SmU&OQ!zlQ%}!{R(w%|e!wlm!x!z%z%|%}(v(w+[QXPRqXSTO!|R[TQu]S#tu#uR#uwQ+g)VQ+j)XU,t+g+j,xR,x+lQ*a'oR,U*aQ'r$jR*b'rQ*f'sR,W*fQ'u$lQ'v$mT*g'u'vQ*w(^S,`*w,bR,b*yQ(a%ZR*}(aQ*{(_U,d*{,g-[Q,g+PR-[,fQ,{+uR-k,{Q){'QQ+w)uT+z){+wQ)}'RQ+x)vT+|)}+xQ&x$OR)l&xQ,O*RR-O,OQ,Q*SR-Q,QQ'}$vR*l'}Q,]*nR-W,]Q,_*pR-Y,_Q$`zS'j$`'kR'k$aQ']$UR*V']Q&i#kW)[&i)^+m,yQ)^&kQ+m)bR,y+nQ&l#lS)_&l+oR+o)cQ&q#pR)g&qQ&s#qR)i&sQ}^Q!P_Q!XaY$g}!P!X%O%RQ%O!RT%R!V!WQ!V`R%S!VS%p!p%kS(p%p(qR(q%qS!xlmW%w!x%z(v+[Q%z!zS(v%|%}R+[(w!q#ht!}#i&R&S&T&U&V&W&]&^&b&c&e&h&j&m&p&r'f(z({(})Y*_+a+b+c+e+f+i-c-d-f-h-}.T.U.V",
  nodeNames: "⚠ BASE PREFIX SELECT CONSTRUCT DESCRIBE WHERE DISTINCT REDUCED STR LANG LANGMATCHES DATATYPE ASK BOUND IRI URI BNODE RAND ABS CEIL FLOOR ROUND CONCAT STRLEN UCASE LCASE ENCODE_FOR_URI CONTAINS STRSTARTS STRENDS STRBEFORE STRAFTER YEAR MONTH DAY HOURS MINUTES SECONDS TIMEZONE TZ NOW UUID STRUUID MD5 SHA1 SHA256 SHA384 SHA512 COALESCE IF STRLANG STRDT SAMETERM ISIRI ISURI ISBLANK ISLITERAL ISNUMERIC COUNT SUM MIN MAX AVG SAMPLE GROUP_CONCAT SEPARATOR SUBSTR REPLACE REGEX EXISTS NOT IN GROUP BY HAVING ORDER ASC DESC LIMIT OFFSET VALUES UNDEF UNION OPTIONAL MINUS GRAPH SERVICE SILENT FILTER BIND AS FROM NAMED TRUE FALSE LOAD INTO TO CLEAR DROP CREATE ADD MOVE COPY INSERT DATA DELETE WITH DEFAULT ALL USING Comment Unit Query Prologue BaseDecl IriRef PrefixDecl Namespace SelectQuery SelectClause Var Expression ConditionalOrExpression ConditionalAndExpression ValueLogical RelationalExpression NumericExpression AdditiveExpression MultiplicativeExpression UnaryExpression PrimaryExpression BrackettedExpression BuiltInCall Aggregate ; String , Nil ExpressionList SubstringExpression StrReplaceExpression RegexExpression ExistsFunc } { GroupGraphPattern SubSelect WhereClause SolutionModifier GroupClause GroupCondition FunctionCall Iri ArgList HavingClause HavingCondition Constraint OrderClause OrderCondition LimitOffsetClauses LimitClause Integer OffsetClause ValuesClause DataBlock InlineDataOneVar DataBlockValue RDFLiteral Langstag NumericLiteral NumericLiteralUnsigned Decimal Double NumericLiteralPositive IntegerPositive DecimalPositive DoublePositive NumericLiteralNegative IntegerNegative DecimalNegative DoubleNegative BooleanLiteral InlineDataFull GroupGraphPatternSub TriplesBlock TriplesSameSubjectPath VarOrTerm GraphTerm BlankNode BlankNodeLabel _: BlankNodeValue Anon PropertyListPathNotEmpty VerbPath Path PathAlternative PathSequence PathEltOrInverse PathElt PathPrimary PathNegatedPropertySet PathOneInPropertySet PathMod VerbSimple ObjectListPath ObjectPath GraphNodePath TriplesNodePath CollectionPath BlankNodePropertyListPath ObjectList Object GraphNode TriplesNode Collection BlankNodePropertyList PropertyListNotEmpty Verb VarOrIri PropertyListPath . GraphPatternNotTriples GroupOrUnionGraphPattern OptionalGraphPattern MinusGraphPattern GraphGraphPattern ServiceGraphPattern Filter Bind InlineData NotExistsFunc DatasetClause DefaultGraphClause SourceSelector NamedGraphClause ConstructQuery ConstructTemplate ConstructTriples TriplesSameSubject PropertyList TriplesTemplate DescribeQuery AskQuery Update Update1 Load GraphRef Clear GraphRefAll Drop Add GraphOrDefault Move Copy Create InsertData QuadData Quads QuadsNotTriples DeleteData DeleteWhere QuadPattern Modify DeleteClause InsertClause UsingClause Keyword",
  maxTerm: 329,
  nodeProps: [
    ["openedBy", 145,"{"],
    ["closedBy", 146,"}"]
  ],
  skippedNodes: [0,112,269,270],
  repeatNodeCount: 30,
  tokenData: "Nx~R![X^$wpq$wqr%lrs%yst*wtu+`vw,Zwx,fxy1dyz2pz{2u{|2z|}4t}!O4y!O!P6s!P!Q7u!Q![7z![!]=R!]!^?x!^!_?}!_!`Bp!`!aBu!a!bCS!b!cCe!c!}Dk!}#OGu#P#QIR#Q#RIW#R#SIe#T#UKP#U#oDk#o#pLh#p#qLm#q#rLz#y#z$w$f$g$w$g%WGd%W%oFQ%o%pGd%p&aFQ&a&bGd&b&jFQ&j1p9m4U4d9m4e#BY9m#BY#BZMP#BZ$IS9m$IS$I_$w$I`$Ib9m$I|$JO$w$JT$JU$w$KV$KW$w$Kh%#t9m&/x&Et9m&FU&FV$w&FV;'S9m?&r?Ah9m?BY?Mn9m~$|Y'j~X^$wpq$w#y#z$w$f$g$w#BY#BZ$w$IS$I_$w$I|$JO$w$JT$JU$w$KV$KW$w&FU&FV$w[%qP'lS!_!`%tW%yO(PW~%|XOY&iZ]&i^r&irs(Vs#O&i#O#P'^#P;'S&i;'S;=`(P<%lO&i~&lXOY&iZ]&i^r&irs'Xs#O&i#O#P'^#P;'S&i;'S;=`(P<%lO&i~'^O'q~~'aP#O#P'd~'gWrs&iwx&i#O#P&i#U#V&i#Y#Z&i#b#c&i#f#g&i#h#i&i~(SP;=`<%l&i~([P'q~rs(_~(bVOr(_rs(ws#O(_#O#P*O#P;'S(_;'S;=`*q<%lO(_~(zVOr(_rs)as#O(_#O#P*O#P;'S(_;'S;=`*q<%lO(_~)dVOr(_rs)ys#O(_#O#P*O#P;'S(_;'S;=`*q<%lO(_~*OO's~~*RP#O#P*U~*XWrs(_wx(_#O#P(_#U#V(_#Y#Z(_#b#c(_#f#g(_#h#i(_~*tP;=`<%l(_~*|S#d~OY*wZ;'S*w;'S;=`+Y<%lO*w~+]P;=`<%l*w~+cS!Q![+o!c!}+o#R#S+o#T#o+o~+tV#n~!Q![+o!c!}+o#R#S+o#T#o+o$}%O+o1p4U+o$Je$Jg+o~,^Pvw,a~,fO(U~~,iXOY-UZ]-U^w-Uwx.rx#O-U#O#P-y#P;'S-U;'S;=`.l<%lO-U~-XXOY-UZ]-U^w-Uwx-tx#O-U#O#P-y#P;'S-U;'S;=`.l<%lO-U~-yO'p~~-|P#O#P.P~.SWrs-Uwx-U#O#P-U#U#V-U#Y#Z-U#b#c-U#f#g-U#h#i-U~.oP;=`<%l-U~.wP'p~wx.z~.}VOw.zwx/dx#O.z#O#P0k#P;'S.z;'S;=`1^<%lO.z~/gVOw.zwx/|x#O.z#O#P0k#P;'S.z;'S;=`1^<%lO.z~0PVOw.zwx0fx#O.z#O#P0k#P;'S.z;'S;=`1^<%lO.z~0kO'r~~0nP#O#P0q~0tWrs.zwx.z#O#P.z#U#V.z#Y#Z.z#b#c.z#f#g.z#h#i.z~1aP;=`<%l.z~1iQ'k~yz1o#O#P1t~1tO$P~~1wP#l#m1z~1}Q!Q!R2T!S!T2j~2WR!Z![2a!c!d2a!f!g2a~2dQyz1o#O#P1t~2mP!Q!R2a~2uO'm~~2zO'n~~3PQ'y~!O!P3V!Q![4V~3YP!Q![3]~3bR$w~!Q![3]!g!h3k#X#Y3k~3nR{|3w}!O3w!Q![3}~3zP!Q![3}~4SP$x~!Q![3}~4[S$v~!O!P4h!Q![4V!g!h3k#X#Y3k~4kR!Q![3]!g!h3k#X#Y3k~4yO$O~~5OQ(O~!O!P5U!Q![6U~5XP!Q![5[~5aR${~!Q![5[!g!h5j#X#Y5j~5mR{|5v}!O5v!Q![5|~5yP!Q![5|~6RP$|~!Q![5|~6ZS$z~!O!P6g!Q![6U!g!h5j#X#Y5j~6jR!Q![5[!g!h5j#X#Y5j~6xP%w~!Q![6{~7QR$s~!Q![6{!g!h7Z#X#Y7Z~7^R{|7g}!O7g!Q![7m~7jP!Q![7m~7rP$t~!Q![7m~7zO'z~~8Rd$i~%XT!O!P9a!Q![7z!c!g9m!g!h:q!h!}9m#R#S9m#T#X9m#X#Y:q#Y#o9m%W%o9m%p&a9m&b1p9m4U4d9m4e$IS9m$I`$Ib9m$Kh%#t9m&/x&Et9m&FV;'S9m?&r?Ah9m?BY?Mn9m~9dR!Q![6{!g!h7Z#X#Y7ZT9r_%XT!Q![9m!c!}9m#R#S9m#T#o9m%W%o9m%p&a9m&b1p9m4U4d9m4e$IS9m$I`$Ib9m$Kh%#t9m&/x&Et9m&FV;'S9m?&r?Ah9m?BY?Mn9m~:va%XT{|7g}!O7g!Q![;{!c!}9m#R#S9m#T#o9m%W%o9m%p&a9m&b1p9m4U4d9m4e$IS9m$I`$Ib9m$Kh%#t9m&/x&Et9m&FV;'S9m?&r?Ah9m?BY?Mn9m~<S_$t~%XT!Q![;{!c!}9m#R#S9m#T#o9m%W%o9m%p&a9m&b1p9m4U4d9m4e$IS9m$I`$Ib9m$Kh%#t9m&/x&Et9m&FV;'S9m?&r?Ah9m?BY?Mn9mU=YU#kQ$`Suv=l!Q![>U!c!}>U#O#P>U#R#S>U#T#o>US=oR!Q![=x!c!i=x#T#Z=xS={R!Q![>U!c!i>U#T#Z>US>Z[$`Suv=l}!O>U!O!P?P!Q![>U![!]>U!c!}>U#O#P>U#R#S>U#T#o>U$}%O>U1p4U>U$Je$Jg>US?S[uv=l}!O>U!O!P?P!Q![>U![!]>U!c!}>U#O#P>U#R#S>U#T#o>U$}%O>U1p4U>U$Je$Jg>U~?}O#|~]@SZ(QWqr@us!^@u!_!`Ax!`!aAk!a#O@u#P#Q@u#R#S@u#T#o@u#r;'S@u;'S;=`Ar<%lO@uT@xZqr@us!^@u!_!`@u!`!aAk!a#O@u#P#Q@u#R#S@u#T#o@u#r;'S@u;'S;=`Ar<%lO@uTArO#iP$`STAuP;=`<%l@u]A}Z(SWqr@us!^@u!_!`@u!`!aAk!a#O@u#P#Q@u#R#S@u#T#o@u#r;'S@u;'S;=`Ar<%lO@u~BuO'o~~BzP(R~!_!`B}~CSO(T~~CXS'x~!Q![+o!c!}+o#R#S+o#T#o+o~ChQ!c!}Cn#T#oCn~CsR$p~}!OC|!c!}Cn#T#oCn~DPR!Q![DY!c!}DY#T#oDY~D_S$p~}!OC|!Q![DY!c!}DY#T#oDY_Drd&w]%XT!Q![9m![!]=R!c!}Dk#R#SFQ#T#oDk$g%WGd%W%oFQ%o%pGd%p&aFQ&a&bGd&b&jFQ&j1p9m4U4d9m4e$IS9m$I`$Ib9m$Kh%#t9m&/x&Et9m&FV;'S9m?&r?Ah9m?BY?Mn9m]FXc&w]%XT!Q![9m!c!}FQ#R#SFQ#T#oFQ$g%WGd%W%oFQ%o%pGd%p&aFQ&a&bGd&b&jFQ&j1p9m4U4d9m4e$IS9m$I`$Ib9m$Kh%#t9m&/x&Et9m&FV;'S9m?&r?Ah9m?BY?Mn9m]GiS&w]!c!}Gd#R#SGd#T#oGd$g&jGd~GzQ'|~#O#PHQ#P#QHv~HTP#l#mHW~HZQ!Q!RHa!S!TH{~HdR!Z![Hm!c!dHm!f!gHm~HpQ#O#PHQ#P#QHv~H{O%Y~~IOP!Q!RHm~IWO'{~~I]P'v~#Q#RI`~IeO't~~Ild&w]%XT!Q![9m![!]Jz!c!}FQ#R#SFQ#T#oFQ$g%WGd%W%oFQ%o%pGd%p&aFQ&a&bGd&b&jFQ&j1p9m4U4d9m4e$IS9m$I`$Ib9m$Kh%#t9m&/x&Et9m&FV;'S9m?&r?Ah9m?BY?Mn9m~KPO%W~_KYd'uS&w]%XT!Q![9m![!]=R!c!}Dk#R#SFQ#T#oDk$g%WGd%W%oFQ%o%pGd%p&aFQ&a&bGd&b&jFQ&j1p9m4U4d9m4e$IS9m$I`$Ib9m$Kh%#t9m&/x&Et9m&FV;'S9m?&r?Ah9m?BY?Mn9m~LmO$W~_LrP'wU#p#qLuXLzO(VX~MPO$V~~MWj'j~%XTX^$wpq$w!Q![9m!c!}9m#R#S9m#T#o9m#y#z$w$f$g$w%W%o9m%p&a9m&b1p9m4U4d9m4e#BY9m#BY#BZMP#BZ$IS9m$IS$I_$w$I`$Ib9m$I|$JO$w$JT$JU$w$KV$KW$w$Kh%#t9m&/x&Et9m&FU&FV$w&FV;'S9m?&r?Ah9m?BY?Mn9m",
  tokenizers: [0, 1, 2, 3],
  topRules: {"Unit":[0,113]},
  specialized: [{term: 269, get: (value, stack) => (caseInsensitive(value) << 1), external: caseInsensitive}],
  tokenPrec: 5783
});

const SparqlLanguage = LRLanguage.define({
    parser: parser.configure({
        props: [
            styleTags({
                Comment: tags.comment,
                "BASE PREFIX SELECT CONSTRUCT DESCRIBE WHERE DISTINCT REDUCED STR LANG LANGMATCHES DATATYPE ASK BOUND IRI URI BNODE RAND ABS CEIL FLOOR ROUND CONCAT STRLEN UCASE LCASE ENCODE_FOR_URI CONTAINS STRSTARTS STRENDS STRBEFORE STRAFTER YEAR MONTH DAY HOURS MINUTES SECONDS TIMEZONE TZ NOW UUID STRUUID MD5 SHA1 SHA256 SHA384 SHA512 COALESCE IF STRLANG STRDT SAMETERM ISIRI ISURI ISBLANK ISLITERAL ISNUMERIC COUNT SUM MIN MAX AVG SAMPLE GROUP_CONCAT SEPARATOR SUBSTR REPLACE REGEX EXISTS NOT IN GROUP BY HAVING ORDER ASC DESC LIMIT OFFSET VALUES UNDEF UNION OPTIONAL MINUS GRAPH SERVICE SILENT FILTER BIND AS FROM NAMED LOAD INTO TO CLEAR DROP CREATE ADD MOVE COPY INSERT DATA DELETE WITH DEFAULT ALL USING": tags.keyword,
                "Var ObjectListPath/..": tags.variableName,
                String: tags.string,
                Integer: tags.integer,
                "Double Decimal": tags.float,
                "{ }": tags.brace,
                Langstag: tags.annotation,
                "TRUE FALSE": tags.bool
            }),
            foldNodeProp.add({
                GroupGraphPattern: foldInside,
                Prologue(tree) { return { from: tree.from + 7, to: tree.to - 0 }; }
            }),
        ]
    }),
});
function sparql() {
    return new LanguageSupport(SparqlLanguage);
}

export { SparqlLanguage, sparql };
